Create or update a catalog tag
curl --request POST \
--url https://api.example.com/utils/metadata/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Data containing email addresses",
"fully_qualified_name": "PII.Email",
"name": "Email",
"style": {
"color": "#FF6B6B",
"icon": "mail"
}
}
'import requests
url = "https://api.example.com/utils/metadata/tags"
payload = {
"description": "Data containing email addresses",
"fully_qualified_name": "PII.Email",
"name": "Email",
"style": {
"color": "#FF6B6B",
"icon": "mail"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Data containing email addresses',
fully_qualified_name: 'PII.Email',
name: 'Email',
style: {color: '#FF6B6B', icon: 'mail'}
})
};
fetch('https://api.example.com/utils/metadata/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"fully_qualified_name": "<string>",
"version": 123,
"category_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_type": "tag",
"description": "<string>",
"owners": [
{}
],
"style": {
"color": "<string>",
"icon": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z"
}{
"id": "<string>",
"name": "<string>",
"fully_qualified_name": "<string>",
"version": 123,
"category_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_type": "tag",
"description": "<string>",
"owners": [
{}
],
"style": {
"color": "<string>",
"icon": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Create or update a catalog tag
Upsert a catalog tag. Parent category must exist and not be deleted. Returns 201 on create, 200 on update.
POST
/
utils
/
metadata
/
tags
Create or update a catalog tag
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for creating a catalog tag.
Tag name (e.g., 'Email', 'High')
Required string length:
1 - 255Two-segment FQN in Category.Tag format (e.g., 'PII.Email')
Required string length:
3 - 512Optional tag description
Maximum string length:
2000Visual styling (color, icon)
Show child attributes
Show child attributes
Ownership information
Response
Updated
Full catalog tag representation.
Visual styling for a tag.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

